# Changes in PHPUnit 6.0

All notable changes of the PHPUnit 6.0 release series are documented in this file using the [Keep a CHANGELOG](http://keepachangelog.com/) principles.

## [6.0.0] - 2017-02-03

### Added

* Added the `--dont-report-useless-tests` commandline option
* Added the `--globals-backup` commandline option

### Changed

* PHPUnit is now strict about useless tests by default
* Global and super-global variables are no longer backed up before and restored after each test by default
* `PHPUnit\Framework\Assert::fail()` now increments the assertion counter
* `setUpBeforeClass()` is now invoked after all methods annotated with `@beforeClass`
* `setUp()` is now invoked after all methods annotated with `@before`
* Added `addWarning()` method to `PHPUnit\Framework\TestListener` interface
* The logfile format generated using the `--log-junit` option and the `<log type="junit" target="..."/>` configuration directive has been updated to match the [current format used by JUnit](http://llg.cubic.org/docs/junit/). Due to this change you may need to update how your continuous integration server processes test result logfiles generated by PHPUnit.
* The binary PHAR is now binary-only and cannot be used as a library anymore

### Removed

* Removed `PHPUnit\Framework\TestCase::getMock()` (deprecated in PHPUnit 5.4)
* Removed `PHPUnit\Framework\TestCase::getMockWithoutInvokingTheOriginalConstructor()` (deprecated in PHPUnit 5.4)
* Removed `PHPUnit\Framework\TestCase::setExpectedException()` (deprecated in PHPUnit 5.2)
* Removed `PHPUnit\Framework\TestCase::setExpectedExceptionRegExp()` (deprecated in PHPUnit 5.6)
* Removed `PHPUnit\Framework\TestCase::hasPerformedExpectationsOnOutput()` (deprecated in PHPUnit 4.3)
* Removed the `checkForUnintentionallyCoveredCode` configuration setting (deprecated in PHPUnit 5.2)
* Removed the `--self-update` and `--self-upgrade` commandline options
* Removed the `--report-useless-tests` commandline option
* Removed the `--no-globals-backup` commandline option
* PHPUnit is no longer supported on PHP 5.6

[6.0.0]: https://github.com/sebastianbergmann/phpunit/compare/5.7...6.0.0

